cascading.management.annotation

## Annotation Type PropertyConfigured

-     @Retention(value=RUNTIME)
      @Target(value={METHOD,FIELD})
      public @interface PropertyConfigured

  PropertyConfigured is an annotation to document the configuration key and the default value of a given @Property annotation on the same `AnnotatedElement`.

  See `AggregateBy.getCapacity()` for an example.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `value`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `defaultValue`

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

    - #### defaultValue

          public abstract java.lang.String defaultValue

      Default:
        ""

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.